Retrieve Appointments

Returns a list of Appointments applicable to the scope of the API auth token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

Filter via Entry Agent by ID. Will return all Appointments entered by the specified agent.

integer

Filter via last Modification Agent by ID. Will return all Appointments that were last modified by the specified agent.

integer

Filter via agency ID. Must supply integer value, cannot search by agency name or other field information.

integer

Filter via Appointment Type by ID. Will return all Appointments belonging to the specified appointment type.

integer

Filter via case ID. Must supply integer value, cannot search by case name or other field information.

string

Filter via Reminder Status. Will return all Appointments with matching reminder status. Accepted values are "None", "Pending", "Sent", and "Failed".

string

Filter via Entry Date. Will return all Appointments entered before the date. Accepts YYYY-MM-DD format. eg. entry_date_before=2023-11-30 will return all Appointments from before November 30th, 2023. Can be combined with entry_date_after.

string

Filter via Entry Date. Will return all Appointments entered after the date. Accepts YYYY-MM-DD format. eg. entry_date_after=2023-11-01 will return all Appointments from after November 1st, 2023. Can be combined with entry_date_before.

string

Filter via last Modification Date. Will return all Appointments modified before the date. Accepts YYYY-MM-DD format. eg. mod_date_before=2023-11-30 will return all Appointments last modified before November 30th, 2023. Can be combined with mod_date_after.

string

Filter via last Modification Date. Will return all Appointments modified after the date. Accepts YYYY-MM-DD format. eg. mod_date_after=2023-11-01 will return all Appointments last modified after November 1st, 2023. Can be combined with mod_date_before.

date-time

Return records entered on or after this date/datetime. Cannot be combined with entry_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records entered on or before this date/datetime. Cannot be combined with entry_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

date-time

Return records last modified on or after this date/datetime. Cannot be combined with mod_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records last modified on or before this date/datetime. Cannot be combined with mod_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

string

Order results by a specified field. Prepend - for descending order. e.g. order_by=-id.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json